function [x1,x2,er1]=checkcheby2(fname,cf,lb,ub,n,varargin)

m=size(cf,2);
d=sqrt(size(cf,1))-1;
[z1,x1]=uniformnodes(lb(1),ub(1),n);
[z2,x2]=uniformnodes(lb(2),ub(2),n);
xv=stack([x1,x2]);
zv=stack([z1,z2]);
T=cheby(zv,d);
er=feval(fname,cf,xv,T,lb,ub,varargin{:});
disp(['Avg. Abs. Er.: ' num2str(mean(abs(er)))]);
disp(['Avg. Med. Er.: ' num2str(median(abs(er)))]);
disp(['Std. Er.: ' num2str(std(er))]);
disp(['Max. Abs. Er.: ' num2str(max(abs(er)))]);
er1=zeros(n,n,m);
for j=1:m
   er1(:,:,j)=real(reshape(er(:,j),n,n))';
end