function [cf,er,cod]=colcheby(fname,cf0,lb,ub,d,opt,varargin)
% Author: Marco Maffezzoli. Ver. 1.1.1, 11/2012.

k=size(lb,2);
for n=round(size(cf0,1)^(1/k)):d+1
    [x,T]=chebybase(n,n-1,lb,ub);
    [cf,cod,er]=newtonsolve(fname,cf0,opt,x,T,lb,ub,varargin{:});
    if cod>0
        disp(['Coefs: ' num2str(n) '. The solver reports: ' num2str(cod)]);
    end
    cf=real(cf);
    if n<d+1
        cf0=newguess(cf,k);
    end
end