function [x,er,T]=checkcheby1(fname,cf,a,b,n,varargin)

d=size(cf,1)-1;
[z,x]=uniformnodes(a,b,n);
T=cheby(z,d);
er=feval(fname,cf,x,T,a,b,varargin{:});
disp(['Avg. Abs. Er.: ' num2str(mean(abs(er)))]);
disp(['Avg. Med. Er.: ' num2str(median(abs(er)))]);
disp(['Std. Er.:      ' num2str(std(er))]);
disp(['Max. Abs. Er.: ' num2str(max(abs(er)))]);

end